> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Chains

<Info>**Credit cost:** 0.01 per request.</Info>

Get the list of chains that we currently support.

We've included corresponding ids of the CoinGecko and DEX Screener platforms, which you can use as a common matching reference if needed.


## OpenAPI

````yaml GET /v0/chains
openapi: 3.1.0
info:
  title: Bubblemaps Data API
  version: 0.2.2
servers:
  - url: https://api.bubblemaps.io
security: []
paths:
  /v0/chains:
    get:
      tags:
        - v0
      summary: Get Supported Chains V0
      operationId: get_supported_chains_v0_v0_chains_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ChainDetailsV0'
                type: array
                title: Response Get Supported Chains V0 V0 Chains Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    ChainDetailsV0:
      properties:
        id:
          $ref: '#/components/schemas/ChainIdV0'
        name:
          type: string
          title: Name
        dexscreener_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dexscreener Id
        coingecko_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Coingecko Id
      type: object
      required:
        - id
        - name
      title: ChainDetailsV0
    ChainIdV0:
      type: string
      enum:
        - eth
        - base
        - solana
        - tron
        - bsc
        - sonic
        - ton
        - avalanche
        - polygon
        - monad
        - hyperevm
        - arbitrum
        - robinhood
      title: ChainIdV0
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ApiKey

````